0

Working on a plugin integrating with the Active Campaign API.

What I have is a folder inside third_party containing pi.ActiveCampaign.php with a lib folder containing the API. The class describing the plugin is "Active_Campaign" and the function I want to use with it is "insert_contacts." The plugin appears in the add-ons section just fine, with all my documentation, but when I try to use it in a template:

enter image description here

It appears to not be detecting it. I've tried just using "exp:insert_contacts" as well, same result.

Here's the PHP file, as it is now, if needed (bitbucket repo): https: https://goo.gl/Shm4JN

And for reference, here's the doc I'm following: https://ellislab.com/expressionengine/user-guide/development/plugins.html

jic.

Any advice?

0

FOUND IT!

I feel stupid. It was a case sensitivity issue with the file name. It was pi.ActiveCampaign.php but needed to be pi.active_campaign.php.

| improve this answer | |
  • could you please mark you answer is correct one? thanks! – Max Lazar Sep 15 '15 at 5:53

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.